%define main_branch 5.1
%define subver	0

Name:		grub-customizer
Summary:	Graphical interface to configure the grub2/burg settings
Group:		System/Boot and Init
Version:	%{main_branch}.%{subver}
Release:	%mkrel 2
License:	GPLv3+
URL:		https://launchpad.net/grub-customizer
Source0:	https://launchpad.net/%{name}/%{main_branch}/%{version}/+download/%{name}_%{version}.tar.gz
Source1:	grub.cfg
Patch0:		grub-customizer-4.0.6-mge-use_default_env.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	desktop-file-utils
Requires:	grub2bootloader
Recommends:	hwinfo

%description
Grub Customizer is a graphical interface to configure the grub2/burg settings
with focus on the individual list order - without losing the dynamic behavior
of grub2.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%cmake
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_sysconfdir}/%{name}
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/grub.cfg

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-category='Settings;' \
	--add-category='GTK;'\
	%{buildroot}%{_datadir}/applications/grub-customizer.desktop


%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/grubcfg-proxy
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/net.launchpad.danielrichter2007.pkexec.%{name}.policy
%{_iconsdir}/hicolor/*/*//%{name}.*
%{_mandir}/man1/%{name}.1.xz
%{_sysconfdir}/%{name}/grub.cfg


%changelog
* Sat Feb 15 2020 daviddavid <daviddavid> 5.1.0-2.mga8
+ Revision: 1526535
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Jan 16 2019 kekepower <kekepower> 5.1.0-1.mga7
+ Revision: 1357426
- Update to version 5.1.0
- Rediffed patch

* Mon Oct 15 2018 barjac <barjac> 5.0.8-1.mga7
+ Revision: 1320373
- new version 5.0.8
- re-diffed patch
- fixed tabs/spaces

* Sun Sep 23 2018 umeabot <umeabot> 5.0.6-2.mga7
+ Revision: 1298086
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 5.0.6-1.mga7
+ Revision: 1213278
- Update to version 5.0.6
- Rediffed patch

* Sat Sep 09 2017 cjw <cjw> 4.0.6-5.mga7
+ Revision: 1152132
- rebuild for openssl 1.1

* Fri Feb 19 2016 umeabot <umeabot> 4.0.6-4.mga6
+ Revision: 969759
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 4.0.6-3.mga6
+ Revision: 871392
- add -std=gnu++11 to CXXFLAGS to fix build with recent libsigc++

* Wed Oct 15 2014 umeabot <umeabot> 4.0.6-2.mga5
+ Revision: 751031
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tarakbumba <tarakbumba> 4.0.6-1.mga5
+ Revision: 730880
- Update to 4.0.6 version
- Patch binary to set environment correctly

* Tue Sep 16 2014 umeabot <umeabot> 2.5.7-8.mga5
+ Revision: 679953
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 2.5.7-7.mga4
+ Revision: 522582
- Mageia 4 Mass Rebuild

* Tue Mar 19 2013 barjac <barjac> 2.5.7-6.mga3
+ Revision: 404120
- fix Requires (grub2 and grub2-efi provide grub2bootloader)
- disable .desktop files in all DEs except KDE and GNOME
- minor edit to description

* Mon Jan 21 2013 barjac <barjac> 2.5.7-5.mga3
+ Revision: 390305
- update group

* Sat Jan 12 2013 umeabot <umeabot> 2.5.7-4.mga3
+ Revision: 352681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 barjac <barjac> 2.5.7-3.mga3
+ Revision: 267923
- remove patch and replace with grub.cfg
- change Requires to Suggests on hwinfo as it is known to cause problems on some systems
- tidy some strings in spec
+ shlomif <shlomif>
- Remove a misleading comment (thanks to simplew and barjac)

* Tue Jul 03 2012 shlomif <shlomif> 2.5.7-2.mga3
+ Revision: 267057
- Fix requires:"grub2-pc" -> "grub2" ; "os-prober" is not needed.

* Wed Jun 20 2012 shlomif <shlomif> 2.5.7-1.mga3
+ Revision: 262280
- imported package grub-customizer


* Wed Jun 20 2012 Simple <simplew8@gmail.com> 2.5.7-1
- version 2.5.7
- rediff patch0

* Tue May 08 2012 Simple <simplew8@gmail.com> 2.5.5-1
- version 2.5.5
- rediff patch0
